Subject: Re: linux-next: build failure after merge of the mm-hotfixes tree

From: Andrew Morton <[email-masked]>
Date: Tue, 21 Apr 2026 07:17:01 -0700

On Tue, 21 Apr 2026 15:42:29 +0200 "David Hildenbrand (Arm)" <[email-masked]> wrote:

> On 4/21/26 15:34, Mark Brown wrote:
> > On Tue, Apr 21, 2026 at 02:21:48PM +0100, Mark Brown wrote:
> >> On Tue, Apr 21, 2026 at 03:06:32PM +0200, David Hildenbrand (Arm) wrote:
> > 
> >>
> >> The commit is also present in the mm-unstable tree, I have also used
> >> the version of that from 20260420.
> > 
> > And similarly for the mm-nonmm-unstable tree.
> 
> I think Andrew uses the hotfixes tree as the base for the -unstable
> trees. So anything that ends up in there gets fast-tracked into -next.
> Not good :(

Always been this way.  The expectation is that a hotfix is small,
time-sensitive and fixes something which is broken in linux-next.  It's
exceedingly rare for a hotfix to break the build!

I'll drop this patch.